using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsFacilityManual {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int FacilityCode { get; set; }
        [Key]
        public int ManualId { get; set; }
        public int BusinessFieldId { get; set; }
        [StringLength(100)]
        public string Name { get; set; }
        [StringLength(1024)]
        public string Description { get; set; }
        [StringLength(100)]
        public string Keyword { get; set; }
        public int? FileId { get; set; }
        public bool? IsUse { get; set; }

        [ForeignKey("BusinessFieldId")]
        [InverseProperty("FmsFacilityManual")]
        public virtual CmBusinessField CmBusinessField { get; set; }
        [ForeignKey("SiteId,FacilityCode")]
        [InverseProperty("FmsFacilityManual")]
        public virtual CmFacility CmFacility { get; set; }
    }
}
